import 'package:doctor_app_flutter/widgets/shared/app_texts_widget.dart';
import 'package:flutter/material.dart';

class GetActivityButton extends StatelessWidget {
  final value;

  GetActivityButton(this.value);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: MediaQuery.of(context).size.height * 0.125,
      padding: EdgeInsets.all(5),
      margin: EdgeInsets.all(5),
      decoration: BoxDecoration(
        color: Colors.white,
        borderRadius: BorderRadius.circular(15),
      ),
      child: Padding(
        padding: const EdgeInsets.fromLTRB(8, 0, 8, 0),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            AppText(
              value.value.toString(),
              fontSize: 27,
              fontWeight: FontWeight.bold,
              color: Color(0xFF2B353E),
            ),
            AppText(
              value.kPIParameter,
              textOverflow: TextOverflow.clip,
              fontSize: 10,
              color: Color(0xFF2B353E),
              textAlign: TextAlign.start,
              fontWeight: FontWeight.w700,
            ),
          ],
        ),
      ),
    );
  }
}
